| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ReceivedMessage::DeliveryDetails Class Reference
Client-side proxies » Channel proxies

The ReceivedMessage::DeliveryDetails class represents the details of a delivery report. More...

`#include <TelepathyQt/ReceivedMessage>`

## Public Member Functions

| DeliveryDetails ()
| DeliveryDetails (const DeliveryDetails &other)
| ~DeliveryDetails ()
DeliveryDetails & | operator= (const DeliveryDetails &other)
bool | isValid () const
DeliveryStatus | status () const
bool | hasOriginalToken () const
QString | originalToken () const
bool | isError () const
ChannelTextSendError | error () const
bool | hasDebugMessage () const
QString | debugMessage () const
QString | dbusError () const
bool | hasEchoedMessage () const
Message | echoedMessage () const

## Detailed Description

The ReceivedMessage::DeliveryDetails class represents the details of a delivery report.

## Constructor & Destructor Documentation

## § DeliveryDetails() [1/2]

Tp::ReceivedMessage::DeliveryDetails::DeliveryDetails | ( |  | ) |

Default constructor.

## § DeliveryDetails() [2/2]

Tp::ReceivedMessage::DeliveryDetails::DeliveryDetails | ( | const DeliveryDetails & | other | ) |

Copy constructor.

## § ~DeliveryDetails()

Tp::ReceivedMessage::DeliveryDetails::~DeliveryDetails | ( |  | ) |

Class destructor.

## Member Function Documentation

## § operator=()

ReceivedMessage::DeliveryDetails & Tp::ReceivedMessage::DeliveryDetails::operator= | ( | const DeliveryDetails & | other | ) |

Assignment operator.

## § isValid()

bool Tp::ReceivedMessage::DeliveryDetails::isValid | ( |  | ) | const

inline

## § status()

DeliveryStatus Tp::ReceivedMessage::DeliveryDetails::status | ( |  | ) | const

Return the delivery status of a message.

Returns
  The delivery status as DeliveryStatus.

## § hasOriginalToken()

bool Tp::ReceivedMessage::DeliveryDetails::hasOriginalToken | ( |  | ) | const

Return whether this delivery report contains an identifier for the message to which it refers.

Returns
  `true` if an original message token is known, `false` otherwise.

See also
  originalToken()

## § originalToken()

QString Tp::ReceivedMessage::DeliveryDetails::originalToken | ( |  | ) | const

Return an identifier for the message to which this delivery report refers, or an empty string if hasOriginalToken() returns `false`.

Clients may match this against the token produced by the TextChannel::send() method and TextChannel::messageSent() signal. A status report with no token could match any sent message, and a sent message with an empty token could match any status report. If multiple sent messages match, clients should use some reasonable heuristic.

Returns
  The message token if hasOriginalToken() returns `true`, an empty string otherwise.

See also
  hasOriginalToken().

## § isError()

bool Tp::ReceivedMessage::DeliveryDetails::isError | ( |  | ) | const

Return whether the delivery of the message this delivery report refers to, failed.

Returns
  `true` if the message delivery failed, `false` otherwise.

See also
  error()

## § error()

ChannelTextSendError Tp::ReceivedMessage::DeliveryDetails::error | ( |  | ) | const

Return the reason for the delivery failure if known.

Returns
  The reason as ChannelTextSendError.

See also
  isError()

## § hasDebugMessage()

bool Tp::ReceivedMessage::DeliveryDetails::hasDebugMessage | ( |  | ) | const

Return whether this delivery report contains a debugging information on why the message it refers to could not be delivered.

Returns
  `true` if a debugging information is provided, `false` otherwise.

See also
  debugMessage()

## § debugMessage()

QString Tp::ReceivedMessage::DeliveryDetails::debugMessage | ( |  | ) | const

Return the debugging information on why the message this delivery report refers to could not be delivered.

Returns
  The debug string.

See also
  hasDebugMessage()

## § dbusError()

QString Tp::ReceivedMessage::DeliveryDetails::dbusError | ( |  | ) | const

Return the reason for the delivery failure if known, specified as a (possibly implementation-specific) D-Bus error.

Returns
  The D-Bus error string representing the error.

## § hasEchoedMessage()

bool Tp::ReceivedMessage::DeliveryDetails::hasEchoedMessage | ( |  | ) | const

Return whether the message content for the message this delivery report refers to is known.

Returns
  `true` if the original message content is known, `false` otherwise.

See also
  echoedMessage()

## § echoedMessage()

Message Tp::ReceivedMessage::DeliveryDetails::echoedMessage | ( |  | ) | const

Return the Message object for the message this delivery report refers to, omitted if the message is unknown.

##### Rationale:

Some protocols, like XMPP, echo the failing message back to the sender. This is sometimes the only way to match it against the sent message, so we include it here.

Returns
  The Message object, or an empty Message object if hasEchoedMessage() returns `false`.

See also
  hasEchoedMessage()